﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Text;

namespace Benday.ListControls.Sample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void m_btnShowData_Click(object sender, RoutedEventArgs e)
        {
            StringBuilder temp = new StringBuilder();

            foreach (var item in m_radioButtonList.Items)
            {
                temp.AppendFormat("IsSelected: {0}, Text: {1}, Value: {2}", item.IsSelected, item.Text, item.Value);
                temp.AppendLine();
            }

            foreach (var item in m_checkboxList.Items)
            {
                temp.AppendFormat("IsSelected: {0}, Text: {1}, Value: {2}", item.IsSelected, item.Text, item.Value);
                temp.AppendLine();
            }

            m_textbox.Text = temp.ToString();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            MainPageViewModel viewModel = new MainPageViewModel();
            
            viewModel.InitializeViewModelData();

            this.DataContext = viewModel;
        }
    }
}
